diff --git a/build.sh b/build.sh
index 5333632..d524d9b 100755
--- a/build.sh
+++ b/build.sh
@@ -84,10 +84,10 @@ if [ -f stage1-xen.aci ]; then
 fi
 
 # Build init
-cd init
-rm -rf vendor
-glide install -v
-cd ..
+#cd init
+#rm -rf vendor
+#glide install -v
+#cd ..
 go build -o target/rootfs/init init/init.go
 
 # Network plugins
diff --git a/kernel/init-initrd b/kernel/init-initrd
index ba78cde..e8f4d10 100755
--- a/kernel/init-initrd
+++ b/kernel/init-initrd
@@ -70,4 +70,5 @@ then
 fi
 cmd=`cat /mnt/cmdline`
 echo "Executing $cmd"
+export PATH="/bin:/sbin:/usr/bin:/usr/sbin"
 eval chroot /mnt/rootfs $cmd
